Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
insights
/
tags
/
{tag}
Retrieve a query tag
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/insights/tags/{tag} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/insights/tags/{tag}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/insights/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "query_count": 123,
  "values": [
    {
      "name": "<string>",
      "query_count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

tag
string
required

The tag name

Query Parameters

from
string

Start time for filtering tag values (ISO 8601 timestamp)

to
string

End time for filtering tag values (ISO 8601 timestamp)

period
string

Time period for filtering tag values (e.g., '1h', '24h')

fingerprint
string

Filter to tag values on queries with this fingerprint

keyspace
string

Filter by keyspace

tablet_type
enum<string>

Filter by tablet type

Available options:
primary,
replica,
rdonly
values_limit
integer

Maximum number of values returned (1-100)

literal_values_only
boolean

Only return literal tag values, excluding overflow and collapsed values

Response

Returns the tag and its values

id
string
required

The ID of the tag

name
string
required

The name of the tag

source
enum<string>
required

The source of the tag

Available options:
sql,
system
query_count
integer
required

The number of queries that have this tag

values
object[]
required